Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200704-18 ] Courier-IMAP: Remote execution of arbitrary code
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Sun Apr 22, 2007 11:26 pm    Post subject: [ GLSA 200704-18 ] Courier-IMAP: Remote execution of arbitra Reply with quote

Gentoo Linux Security Advisory

Title: Courier-IMAP: Remote execution of arbitrary code (GLSA 200704-18)
Severity: high
Exploitable: remote
Date: April 22, 2007
Updated: April 23, 2007
Bug(s): #168196
ID: 200704-18

Synopsis

A vulnerability has been discovered in Courier-IMAP allowing for remote code execution with root privileges.

Background

Courier-IMAP is an IMAP server which is part of the Courier mail system. It provides access only to maildirs.

Affected Packages

Package: net-mail/courier-imap
Vulnerable: < 4.0.6-r2
Unaffected: >= 4.0.6-r2
Unaffected: < 4.0.0
Architectures: All supported architectures


Description

CJ Kucera has discovered that some Courier-IMAP scripts don't properly handle the XMAILDIR variable, allowing for shell command injection.

Impact

A remote attacker could send specially crafted login credentials to a Courier-IMAP server instance, possibly leading to remote code execution with root privileges.

Workaround

There is no known workaround at this time.

Resolution

All Courier-IMAP users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-mail/courier-imap-4.0.6-r2"


Last edited by GLSA on Tue Apr 24, 2007 4:18 am; edited 1 time in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum